%define upstream_name    File-Spec-Native
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Use native OS implementation of File::Spec from a subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a stupid hack to make the default the File::Spec manpage
behavior available from a subclass. This can be useful when using another
module that expects a subclass of the File::Spec manpage but you want to
use the current, native OS format (automatically detected by the File::Spec
manpage).

For example: the Path::Class/as_foreign manpage (as of version 0.24) allows
you to translate a the Path::Class manpage object from one OS format to
another. However, there is no way to specify that you want to translate the
path into the current, native OS format without guessing at what that
format is (which may include peeking into '@File::Spec::ISA').

This module '@ISA' the File::Spec manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.4.0-7.mga10
+ Revision: 2198740
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.4.0-6.mga9
+ Revision: 1803728
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-5.mga8
+ Revision: 1494549
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.0-4.mga7
+ Revision: 1268172
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-3.mga6
+ Revision: 1027614
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 967895
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.4.0-1.mga6
+ Revision: 850558
- update to 1.004

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 742773
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 684772
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 511578
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 367386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.003

* Thu Jun 30 2011 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 116536
- imported package perl-File-Spec-Native


* Thu Jun 30 2011 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
